Skip to main content
GET
/
v2.01
/
{ClientId}
/
users
/
{UserId}
/
bankaccounts
/
{BankAccountId}
/
mandates
<?php 

require_once 'vendor/autoload.php';

use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;

$api = new MangoPayApi();

$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';

try {
    $bankAccountId = '151467634';
    
    $response = $api->Users->GetMandates($bankAccountId);

    print_r($response);
} catch(MGPResponseException $e) {
    print_r($e);
} catch(MGPException $e) {
    print_r($e);
}  
[
    {
        "Id": "mdt_m_01J98YZT8AJBGWX47AA077XMKZ",
        "CreationDate": 1663244376,
        "Status": "FAILED",
        "UserId": "user_m_01J8SY95DQ5CM7DH43NQCAS65T",
        "ExecutionType": "WEB",
        "MandateType": "DIRECT_DEBIT",
        "Tag": "Created using the Mangopay API Postman collection",
        "ResultCode": "001807",
        "ResultMessage": "User has let the mandate session expire without confirming"
    },
    {
        "Id": "mdt_m_01J999B9HSEDH9CZDEXXYZGHEZ",
        "CreationDate": 1669040333,
        "Status": "ACTIVE",
        "UserId": "user_m_01J8SY95DQ5CM7DH43NQCAS65T",
        "ExecutionType": "WEB",
        "MandateType": "DIRECT_DEBIT",
        "Tag": "Created using the Mangopay API Postman collection",
        "ResultCode": "000000",
        "ResultMessage": "Success"
    }
]

Documentation Index

Fetch the complete documentation index at: https://docs.mangopay.com/llms.txt

Use this file to discover all available pages before exploring further.

Path parameters

UserId
string
required
The unique identifier of the user.
BankAccountId
string
required
The unique identifier of the bank account.
Warning: The corresponding Bank Account must belong to the BACS network (GB-type Bank Account) or SEPA network (IBAN-type Bank Account).

Responses

Array (Mandates)
array
The list of mandates created by the platform.
[
    {
        "Id": "mdt_m_01J98YZT8AJBGWX47AA077XMKZ",
        "CreationDate": 1663244376,
        "Status": "FAILED",
        "UserId": "user_m_01J8SY95DQ5CM7DH43NQCAS65T",
        "ExecutionType": "WEB",
        "MandateType": "DIRECT_DEBIT",
        "Tag": "Created using the Mangopay API Postman collection",
        "ResultCode": "001807",
        "ResultMessage": "User has let the mandate session expire without confirming"
    },
    {
        "Id": "mdt_m_01J999B9HSEDH9CZDEXXYZGHEZ",
        "CreationDate": 1669040333,
        "Status": "ACTIVE",
        "UserId": "user_m_01J8SY95DQ5CM7DH43NQCAS65T",
        "ExecutionType": "WEB",
        "MandateType": "DIRECT_DEBIT",
        "Tag": "Created using the Mangopay API Postman collection",
        "ResultCode": "000000",
        "ResultMessage": "Success"
    }
]
<?php 

require_once 'vendor/autoload.php';

use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;

$api = new MangoPayApi();

$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';

try {
    $bankAccountId = '151467634';
    
    $response = $api->Users->GetMandates($bankAccountId);

    print_r($response);
} catch(MGPResponseException $e) {
    print_r($e);
} catch(MGPException $e) {
    print_r($e);
}